com.ibm.openpages.api.security

## Class GroupOptions

- java.lang.Object
- - com.ibm.openpages.api.security.GroupOptions

-     public class GroupOptions
      extends java.lang.Object

  Options for retrieving Group. Specifies whether all group members are retrieved when getting the group. Default option is to include all group members. The options parameter allows you to retrieve fewer members than the full set of members within a group. This can improve performance with groups that contain a large number of members.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `GroupOptions()` Default constructor.
    `GroupOptions(boolean includeMembers)` Constructor with parameter

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `isIncludeMembers()` Gets includeMembers setting
    `void` | `setIncludeMembers(boolean includeMembers)` Sets includeMembers setting

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GroupOptions

          public GroupOptions()

      Default constructor. Include members defaults to true.

    - #### GroupOptions

          public GroupOptions(boolean includeMembers)

      Constructor with parameter
      Parameters:
        `includeMembers` - include members

  - ### Method Detail

    - #### isIncludeMembers

          public boolean isIncludeMembers()

      Gets includeMembers setting
      Returns:
        boolean

    - #### setIncludeMembers

          public void setIncludeMembers(boolean includeMembers)

      Sets includeMembers setting
      Parameters:
        `includeMembers` -

Licensed Materials - Property of IBM
OpenPages with Watson (PID: 5725-D51)
© Copyright IBM Corporation 2013, 2022. All Rights Reserved.
US Government Users Restricted Rights - Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.